## akonadi-import-wizard 25.08.2+p24.04+vstable+git20251019.0840

=== debian/changelog ===
akonadi-import-wizard (4:25.08.2+p24.04+vstable+git20251019.0840-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 08:40:45 +0000

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT=ON

## akonadi-import-wizard 25.08.2+p24.04+vstable+git20251023.0023

=== debian/changelog ===
akonadi-import-wizard (4:25.08.2+p24.04+vstable+git20251023.0023-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 23 Oct 2025 00:23:59 +0000

=== debian/control ===
Source: akonadi-import-wizard
Section: kde
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kauth-dev,
               kf6-kconfig-dev,
               kf6-kcontacts-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kdoctools-dev,
               kf6-kio-dev,
               kf6-ktextaddons-dev,
               kf6-kwallet-dev,
               kpim6-akonadi-dev,
               kpim6-kidentitymanagement-dev,
               kpim6-kmailtransport-dev,
               kpim6-libkdepim-dev,
               kpim6-mailcommon-dev,
               kpim6-mailimporter-dev,
               kpim6-messagelib-dev,
               kpim6-pimcommon-dev,
               libqgpgmeqt6-dev,
               pkg-config,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-webengine-dev,
               qtkeychain-qt6-dev
Standards-Version: 4.6.2
Homepage: http://pim.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/akonadi-import-wizard.git
Vcs-Browser: https://invent.kde.org/neon/kde/akonadi-import-wizard
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-importwizard
Architecture: any
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: akonadi-import-wizard, libkpimimportwizard5, libkpimimportwizard6
Description: PIM data import wizard
 akonadi-import-wizard is an assistant to import PIM data from other
 applications into Akonadi for use in KDE PIM applications

Package: kpim6-importwizard-dev
Architecture: any
X-Neon-MergedPackage: true
Depends: kpim6-importwizard (= ${binary:Version}),
         kpim6-kmailtransport-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libkpimimportwizard-dev
Description: PIM data import wizard - devel files
 akonadi-import-wizard is an assistant to import PIM data from other
 applications into Akonadi for use in KDE PIM applications
 .
 This package contains the import wizard development files.

Package: akonadi-import-wizard
Architecture: all
Depends: kpim6-importwizard, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpimimportwizard-dev
Architecture: all
Depends: kpim6-importwizard-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpimimportwizard6
Architecture: all
Depends: kpim6-importwizard, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpimimportwizard5
Architecture: all
Depends: kpim6-importwizard, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## akonadi-import-wizard 25.08.3

=== src/manual/pics/CMakeLists.txt ===
install(FILES step1.png DESTINATION ${KDE_INSTALL_DATADIR}/importwizard/pics)

=== src/plugins/claws-mail/CMakeLists.txt ===
set(clawsmailimporter_SRCS
    clawsmailaddressbook.cpp
    clawsmailimportdata.cpp
    clawsmailsettings.cpp
    ../sylpheed/sylpheedaddressbook.cpp
    ../sylpheed/sylpheedsettings.cpp
    ../sylpheed/sylpheedsettingsutils.cpp
    clawsmailimportdata.h
    clawsmailaddressbook.h
    clawsmailsettings.h
)

ecm_qt_declare_logging_category(clawsmailimporter_SRCS HEADER sylpheedplugin_debug.h
        IDENTIFIER SYLPHEEDPLUGIN_LOG CATEGORY_NAME org.kde.pim.importwizard.sylpheedplugin
        DESCRIPTION "importwizard (sylpheed plugin)"
        EXPORT IMPORTWIZARD
)

ecm_qt_declare_logging_category(clawsmailimporter_SRCS HEADER clawsmailplugin_debug.h
        IDENTIFIER CLAWSMAILPLUGIN_LOG CATEGORY_NAME org.kde.pim.importwizard.clawsmailplugin
        DESCRIPTION "importwizard (claws-mail plugin)"
        EXPORT IMPORTWIZARD
)

kcoreaddons_add_plugin(clawsmailimporterplugin SOURCES ${clawsmailimporter_SRCS} INSTALL_NAMESPACE pim6/importwizard)
set_target_properties(
    clawsmailimporterplugin
    PROPERTIES
        LIBRARY_OUTPUT_DIRECTORY
            "${CMAKE_BINARY_DIR}/bin/importwizard/"
)
if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        clawsmailimporterplugin
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()

target_link_libraries(
    clawsmailimporterplugin
    KPim6::ImportWizard
    KF6::XmlGui
    KF6::I18n
    KF6::Contacts
    KPim6::MailImporterAkonadi
    KPim6::MailTransport
    KPim6::IdentityManagementCore
    KPim6::MailCommon
)

=== src/plugins/thunderbird/CMakeLists.txt ===
set(thunderbirdimporter_SRCS
    thunderbirdaddressbook.cpp
    thunderbirdimportdata.cpp
    thunderbirdsettings.cpp
    addressbook/MorkParser.cpp
    thunderbirdaddressbook.h
    thunderbirdimportdata.h
    addressbook/MorkParser.h
    thunderbirdsettings.h
)
ecm_qt_declare_logging_category(thunderbirdimporter_SRCS HEADER thunderbirdplugin_debug.h
        IDENTIFIER THUNDERBIRDPLUGIN_LOG CATEGORY_NAME org.kde.pim.importwizard.thunderbirdplugin
        DESCRIPTION "importwizard (thunderbird plugin)"
        EXPORT IMPORTWIZARD
)

kcoreaddons_add_plugin(thunderbirdimporterplugin SOURCES ${thunderbirdimporter_SRCS} INSTALL_NAMESPACE pim6/importwizard)
set_target_properties(
    thunderbirdimporterplugin
    PROPERTIES
        LIBRARY_OUTPUT_DIRECTORY
            "${CMAKE_BINARY_DIR}/bin/importwizard/"
)
if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        thunderbirdimporterplugin
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()

target_link_libraries(
    thunderbirdimporterplugin
    KPim6::ImportWizard
    KF6::XmlGui
    KF6::I18n
    KF6::Contacts
    KPim6::MailImporterAkonadi
    KPim6::MailTransport
    KPim6::IdentityManagementCore
    KPim6::MailCommon
)

=== debian/changelog ===
akonadi-import-wizard (4:25.08.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Nov 2025 21:25:15 +0100

=== debian/control ===
Source: akonadi-import-wizard
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.14.0~),
               libakonadi-dev (>= 4:25.08.3~),
               libkf6archive-dev (>= 6.14.0~),
               libkf6auth-dev (>= 6.3.0~),
               libkf6config-dev (>= 6.14.0~),
               libkf6contacts-dev (>= 6.14.0~),
               libkf6crash-dev (>= 6.14.0~),
               libkf6dbusaddons-dev (>= 6.14.0~),
               libkf6doctools-dev (>= 6.14.0~),
               libkf6iconthemes-dev (>= 6.14.0~),
               libkf6kio-dev (>= 6.14.0~),
               libkidentitymanagement-dev (>= 25.08.3~),
               libkmailtransport-dev (>= 25.08.3~),
               libmailcommon-dev (>= 4:25.08.3~),
               libmailimporter-dev (>= 4:25.08.3~),
               libpimcommon-dev (>= 4:25.08.3~),
               messagelib-dev (>= 4:25.08.3~),
               pkgconf,
               qt6-base-dev (>= 6.8.0~),
               qtkeychain-qt6-dev (>= 0.14.2~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/pim/akonadi-import-wizard
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-import-wizard
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-import-wizard.git
Rules-Requires-Root: no

Package: akonadi-import-wizard
Section: mail
Architecture: amd64 arm64 armhf i386
Depends: libkpim6importwizard6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: PIM data import wizard
 akonadi-import-wizard is an assistant to import PIM data from other
 applications into Akonadi for use in KDE PIM applications

Package: libkpimimportwizard-dev
Section: libdevel
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libkmailtransport-dev (>= 25.08.3~),
         libkpim6importwizard6 (= ${binary:Version}),
         ${misc:Depends},
Description: PIM data import wizard - development files
 akonadi-import-wizard is an assistant to import PIM data from other
 applications into Akonadi for use in KDE PIM applications
 .
 This package contains the import wizard developmentt files.

Package: libkpim6importwizard6
Provides: ${ABI:VirtualPackage},
Section: libs
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: PIM data import wizard - library
 akonadi-import-wizard is an assistant to import PIM data from other
 applications into Akonadi for use in KDE PIM applications
 .
 This package contains the import wizard shared libraries.

## akonadi-import-wizard 25.11.80

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.5.80")
project(AkonadiImportWizard VERSION ${PIM_VERSION})

set(KF_MIN_VERSION "6.18.0")
set(QT_REQUIRED_VERSION "6.8.0")
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(ECMInstallIcons)

include(ECMSetupVersion)
include(ECMAddTests)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    src/*.cpp
    src/*.h
)

set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()
include(CheckFunctionExists)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
set(CMAKE_CXX_SCAN_FOR_MODULES OFF)

# Do NOT add quote
set(KDEPIM_DEV_VERSION beta)
set(RELEASE_SERVICE_VERSION "25.11.80")

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(PIM_VERSION "${PIM_VERSION}")
set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")

set(KMAILTRANSPORT_LIB_VERSION "6.5.80")
set(AKONADI_VERSION "6.5.80")

set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
set(KDEPIM_LIB_SOVERSION "6")

find_package(
    Qt6
    ${QT_REQUIRED_VERSION}
    CONFIG
    REQUIRED
        Widgets
        Gui
)
set(MAILIMPORTER_VERSION "6.5.80")
set(MAILCOMMON_LIB_VERSION "6.5.80")
set(MESSAGELIB_LIB_VERSION "6.5.80")
set(PIMCOMMON_LIB_VERSION "6.5.80")
set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.80")
set(QT6KEYCHAIN_LIB_VERSION "0.14.2")

# Find KF6 package
find_package(KF6Config ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Crash ${KF_MIN_VERSION} REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} REQUIRED)
find_package(KF6Archive ${KF_MIN_VERSION} REQUIRED)
find_package(KF6IconThemes ${KF_MIN_VERSION} CONFIG REQUIRED)

find_package(KF6DocTools ${KF_MIN_VERSION})
set_package_properties(
    KF6DocTools
    PROPERTIES
        DESCRIPTION
            "Tools to generate documentation"
        TYPE
            OPTIONAL
)

# Find KdepimLibs Package
find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KF6Contacts ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim6IdentityManagementCore ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)

find_package(KPim6MailCommon ${MAILCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MailImporterAkonadi ${MAILIMPORTER_VERSION} CONFIG REQUIRED)

find_package(KPim6MessageViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
include_directories(
    ${importwizard_SOURCE_DIR}
    ${importwizard_BINARY_DIR}
)

find_package(Qt6Keychain ${QT6KEYCHAIN_LIB_VERSION} CONFIG)
set_package_properties(
    Qt6Keychain
    PROPERTIES
        DESCRIPTION
            "Provides support for secure credentials storage"
        URL
            "https://github.com/frankosterfeld/qtkeychain"
        TYPE
            REQUIRED
)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DQT_USE_QSTRINGBUILDER)
add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
include(ECMCheckOutboundLicense)
file(
    GLOB_RECURSE ALL_SOURCE_FILES
    src/*.cpp
    src/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

if(BUILD_TESTING)
    add_definitions(-DBUILD_TESTING)
endif()

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

add_subdirectory(src)

ecm_qt_install_logging_categories(
        EXPORT IMPORTWIZARD
        FILE importwizard.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()

ki18n_install(po)
if(KF6DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()

ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
akonadi-import-wizard (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 07:51:26 +0000

akonadi-import-wizard (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:19:19 +0000

=== debian/control ===
Source: akonadi-import-wizard
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               libakonadi-dev (>= 4:25.11.80~),
               libkf6archive-dev (>= 6.6.0~),
               libkf6auth-dev (>= 6.3.0~),
               libkf6config-dev (>= 6.6.0~),
               libkf6contacts-dev (>= 6.6.0~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6dbusaddons-dev (>= 6.6.0~),
               libkf6doctools-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkidentitymanagement-dev (>= 25.11.80~),
               libkmailtransport-dev (>= 25.11.80~),
               libmailcommon-dev (>= 4:25.11.80~),
               libmailimporter-dev (>= 4:25.11.80~),
               libpimcommon-dev (>= 4:25.11.80~),
               messagelib-dev (>= 4:25.11.80~),
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qtkeychain-qt6-dev (>= 0.14.2~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/akonadi-import-wizard
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-import-wizard
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-import-wizard
Rules-Requires-Root: no

Package: akonadi-import-wizard
Section: mail
Architecture: amd64 arm64 armhf i386
Depends: libkpim6importwizard6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: PIM data import wizard
 akonadi-import-wizard is an assistant to import PIM data from other
 applications into Akonadi for use in KDE PIM applications

Package: libkpimimportwizard-dev
Section: libdevel
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libkmailtransport-dev (>= 25.11.80~),
         libkpim6importwizard6 (= ${binary:Version}),
         ${misc:Depends},
Description: PIM data import wizard - development files
 akonadi-import-wizard is an assistant to import PIM data from other
 applications into Akonadi for use in KDE PIM applications
 .
 This package contains the import wizard developmentt files.

Package: libkpim6importwizard6
Provides: ${ABI:VirtualPackage},
Section: libs
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: PIM data import wizard - library
 akonadi-import-wizard is an assistant to import PIM data from other
 applications into Akonadi for use in KDE PIM applications
 .
 This package contains the import wizard shared libraries.

## akonadi-import-wizard 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.80")
+set(PIM_VERSION "6.5.90")
 project(AkonadiImportWizard VERSION ${PIM_VERSION})
 
 set(KF_MIN_VERSION "6.18.0")
@@ -47,8 +47,8 @@
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION beta)
-set(RELEASE_SERVICE_VERSION "25.11.80")
+set(KDEPIM_DEV_VERSION rc)
+set(RELEASE_SERVICE_VERSION "25.11.90")
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -58,8 +58,8 @@
 set(PIM_VERSION "${PIM_VERSION}")
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
-set(KMAILTRANSPORT_LIB_VERSION "6.5.80")
-set(AKONADI_VERSION "6.5.80")
+set(KMAILTRANSPORT_LIB_VERSION "6.5.90")
+set(AKONADI_VERSION "6.5.90")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
@@ -72,11 +72,11 @@
         Widgets
         Gui
 )
-set(MAILIMPORTER_VERSION "6.5.80")
-set(MAILCOMMON_LIB_VERSION "6.5.80")
-set(MESSAGELIB_LIB_VERSION "6.5.80")
-set(PIMCOMMON_LIB_VERSION "6.5.80")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.80")
+set(MAILIMPORTER_VERSION "6.5.90")
+set(MAILCOMMON_LIB_VERSION "6.5.90")
+set(MESSAGELIB_LIB_VERSION "6.5.90")
+set(PIMCOMMON_LIB_VERSION "6.5.90")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.90")
 set(QT6KEYCHAIN_LIB_VERSION "0.14.2")
 
 # Find KF6 package

=== debian/changelog ===
akonadi-import-wizard (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 13:55:56 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:25.11.80~),
+               libakonadi-dev (>= 4:25.11.90~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6auth-dev (>= 6.3.0~),
                libkf6config-dev (>= 6.6.0~),
@@ -21,12 +21,12 @@
                libkf6doctools-dev (>= 6.6.0~),
                libkf6iconthemes-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.11.80~),
-               libkmailtransport-dev (>= 25.11.80~),
-               libmailcommon-dev (>= 4:25.11.80~),
-               libmailimporter-dev (>= 4:25.11.80~),
-               libpimcommon-dev (>= 4:25.11.80~),
-               messagelib-dev (>= 4:25.11.80~),
+               libkidentitymanagement-dev (>= 25.11.90~),
+               libkmailtransport-dev (>= 25.11.90~),
+               libmailcommon-dev (>= 4:25.11.90~),
+               libmailimporter-dev (>= 4:25.11.90~),
+               libpimcommon-dev (>= 4:25.11.90~),
+               messagelib-dev (>= 4:25.11.90~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qtkeychain-qt6-dev (>= 0.14.2~),
@@ -50,7 +50,7 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libkmailtransport-dev (>= 25.11.80~),
+Depends: libkmailtransport-dev (>= 25.11.90~),
          libkpim6importwizard6 (= ${binary:Version}),
          ${misc:Depends},
 Description: PIM data import wizard - development files

## akonadi-import-wizard 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.90")
+set(PIM_VERSION "6.6.0")
 project(AkonadiImportWizard VERSION ${PIM_VERSION})
 
 set(KF_MIN_VERSION "6.18.0")
@@ -47,8 +47,8 @@
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION rc)
-set(RELEASE_SERVICE_VERSION "25.11.90")
+set(KDEPIM_DEV_VERSION )
+set(RELEASE_SERVICE_VERSION "25.12.0")
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -58,8 +58,8 @@
 set(PIM_VERSION "${PIM_VERSION}")
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
-set(KMAILTRANSPORT_LIB_VERSION "6.5.90")
-set(AKONADI_VERSION "6.5.90")
+set(KMAILTRANSPORT_LIB_VERSION "6.6.0")
+set(AKONADI_VERSION "6.6.0")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
@@ -72,11 +72,11 @@
         Widgets
         Gui
 )
-set(MAILIMPORTER_VERSION "6.5.90")
-set(MAILCOMMON_LIB_VERSION "6.5.90")
-set(MESSAGELIB_LIB_VERSION "6.5.90")
-set(PIMCOMMON_LIB_VERSION "6.5.90")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.90")
+set(MAILIMPORTER_VERSION "6.6.0")
+set(MAILCOMMON_LIB_VERSION "6.6.0")
+set(MESSAGELIB_LIB_VERSION "6.6.0")
+set(PIMCOMMON_LIB_VERSION "6.6.0")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.6.0")
 set(QT6KEYCHAIN_LIB_VERSION "0.14.2")
 
 # Find KF6 package

=== debian/changelog ===
akonadi-import-wizard (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:10:35 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:25.11.90~),
+               libakonadi-dev (>= 4:25.12.0~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6auth-dev (>= 6.3.0~),
                libkf6config-dev (>= 6.6.0~),
@@ -21,12 +21,12 @@
                libkf6doctools-dev (>= 6.6.0~),
                libkf6iconthemes-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.11.90~),
-               libkmailtransport-dev (>= 25.11.90~),
-               libmailcommon-dev (>= 4:25.11.90~),
-               libmailimporter-dev (>= 4:25.11.90~),
-               libpimcommon-dev (>= 4:25.11.90~),
-               messagelib-dev (>= 4:25.11.90~),
+               libkidentitymanagement-dev (>= 25.12.0~),
+               libkmailtransport-dev (>= 25.12.0~),
+               libmailcommon-dev (>= 4:25.12.0~),
+               libmailimporter-dev (>= 4:25.12.0~),
+               libpimcommon-dev (>= 4:25.12.0~),
+               messagelib-dev (>= 4:25.12.0~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qtkeychain-qt6-dev (>= 0.14.2~),
@@ -50,7 +50,7 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libkmailtransport-dev (>= 25.11.90~),
+Depends: libkmailtransport-dev (>= 25.12.0~),
          libkpim6importwizard6 (= ${binary:Version}),
          ${misc:Depends},
 Description: PIM data import wizard - development files

## akonadi-import-wizard 25.12.0+p24.04+vunstable+git20251209.0539

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.0")
+set(PIM_VERSION "6.6.40")
 project(AkonadiImportWizard VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.18.0")
-set(QT_REQUIRED_VERSION "6.8.0")
+set(KF_MIN_VERSION "6.20.0")
+set(QT_REQUIRED_VERSION "6.9.0")
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 include(ECMInstallIcons)
@@ -47,8 +47,8 @@
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION )
-set(RELEASE_SERVICE_VERSION "25.12.0")
+set(KDEPIM_DEV_VERSION alpha)
+set(RELEASE_SERVICE_VERSION "26.03.40")
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -58,8 +58,8 @@
 set(PIM_VERSION "${PIM_VERSION}")
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
-set(KMAILTRANSPORT_LIB_VERSION "6.6.0")
-set(AKONADI_VERSION "6.6.0")
+set(KMAILTRANSPORT_LIB_VERSION "6.6.40")
+set(AKONADI_VERSION "6.6.40")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
@@ -72,12 +72,12 @@
         Widgets
         Gui
 )
-set(MAILIMPORTER_VERSION "6.6.0")
-set(MAILCOMMON_LIB_VERSION "6.6.0")
-set(MESSAGELIB_LIB_VERSION "6.6.0")
-set(PIMCOMMON_LIB_VERSION "6.6.0")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.6.0")
-set(QT6KEYCHAIN_LIB_VERSION "0.14.2")
+set(MAILIMPORTER_VERSION "6.6.40")
+set(MAILCOMMON_LIB_VERSION "6.6.40")
+set(MESSAGELIB_LIB_VERSION "6.6.40")
+set(PIMCOMMON_LIB_VERSION "6.6.40")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.6.40")
+set(QT6KEYCHAIN_LIB_VERSION "0.15.0")
 
 # Find KF6 package
 find_package(KF6Config ${KF_MIN_VERSION} CONFIG REQUIRED)
@@ -127,7 +127,7 @@
 add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
 add_definitions(-DQT_USE_QSTRINGBUILDER)
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.21.0)
 include(ECMCheckOutboundLicense)
 file(
     GLOB_RECURSE ALL_SOURCE_FILES

=== debian/changelog ===
akonadi-import-wizard (4:25.12.0+p24.04+vunstable+git20251209.0539-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 05:39:47 +0000

akonadi-import-wizard (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:40:11 +1000

akonadi-import-wizard (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:43:44 +1000

## akonadi-import-wizard 25.12.0+p24.04+vunstable+git20251209.0558

=== debian/changelog ===
akonadi-import-wizard (4:25.12.0+p24.04+vunstable+git20251209.0558-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 05:58:14 +0000

## akonadi-import-wizard 25.12.0+p24.04+vunstable+git20251231.0321

=== debian/changelog ===
akonadi-import-wizard (4:25.12.0+p24.04+vunstable+git20251231.0321-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 03:21:40 +0000

## akonadi-import-wizard 25.12.0+p24.04+vunstable+git20260102.0149

=== CMakeLists.txt ===
--- 
+++ 
@@ -31,9 +31,33 @@
     endif()
 endif()
 if(NOT ${PRE_COMMIT_INSTALLED})
-    include(KDEGitCommitHooks)
-    include(KDEClangFormat)
-    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+    find_program(PRE_COMMIT_EXECUTABLE pre-commit)
+    if(PRE_COMMIT_EXECUTABLE)
+        message(STATUS "This module has pre-commit support. pre-commit binary was found. Installing pre-commit hook")
+        execute_process(
+            COMMAND
+                "${PRE_COMMIT_EXECUTABLE}" install -f
+            ERROR_QUIET
+            RESULT_VARIABLE _precommitresult
+            WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}"
+        )
+        if(_precommitresult EQUAL 0)
+            message(STATUS "Pre-commit installed.")
+        else()
+            message(
+                WARNING
+                "Error during installing pre-commit hook: ${PRE_COMMIT_EXECUTABLE} project source dir ${PROJECT_SOURCE_DIR}"
+            )
+            include(KDEGitCommitHooks)
+            include(KDEClangFormat)
+            kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+        endif()
+    else()
+        message(WARNING "This module has pre-commit support. pre-commit binary was not found.")
+        include(KDEGitCommitHooks)
+        include(KDEClangFormat)
+        kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+    endif()
 endif()
 include(CheckFunctionExists)
 
@@ -127,7 +151,12 @@
 add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
 add_definitions(-DQT_USE_QSTRINGBUILDER)
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.21.0)
+if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
+    # Not setting for GNU due to too many warnings related to private members of base classes or around lambdas
+    # see e.g. https://gcc.gnu.org/bugzilla/show_bug.cgi?id=56556 or https://gcc.gnu.org/bugzilla/show_bug.cgi?id=79328
+    string(APPEND CMAKE_CXX_FLAGS " -Wshadow")
+endif()
+ecm_set_disabled_deprecation_versions(QT 6.11.0 KF 6.21.0)
 include(ECMCheckOutboundLicense)
 file(
     GLOB_RECURSE ALL_SOURCE_FILES

=== debian/changelog ===
akonadi-import-wizard (4:25.12.0+p24.04+vunstable+git20260102.0149-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 02 Jan 2026 01:49:34 +0000

## akonadi-import-wizard 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.40")
+set(PIM_VERSION "6.6.1")
 project(AkonadiImportWizard VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.20.0")
-set(QT_REQUIRED_VERSION "6.9.0")
+set(KF_MIN_VERSION "6.18.0")
+set(QT_REQUIRED_VERSION "6.8.0")
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 include(ECMInstallIcons)
@@ -31,33 +31,9 @@
     endif()
 endif()
 if(NOT ${PRE_COMMIT_INSTALLED})
-    find_program(PRE_COMMIT_EXECUTABLE pre-commit)
-    if(PRE_COMMIT_EXECUTABLE)
-        message(STATUS "This module has pre-commit support. pre-commit binary was found. Installing pre-commit hook")
-        execute_process(
-            COMMAND
-                "${PRE_COMMIT_EXECUTABLE}" install -f
-            ERROR_QUIET
-            RESULT_VARIABLE _precommitresult
-            WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}"
-        )
-        if(_precommitresult EQUAL 0)
-            message(STATUS "Pre-commit installed.")
-        else()
-            message(
-                WARNING
-                "Error during installing pre-commit hook: ${PRE_COMMIT_EXECUTABLE} project source dir ${PROJECT_SOURCE_DIR}"
-            )
-            include(KDEGitCommitHooks)
-            include(KDEClangFormat)
-            kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
-        endif()
-    else()
-        message(WARNING "This module has pre-commit support. pre-commit binary was not found.")
-        include(KDEGitCommitHooks)
-        include(KDEClangFormat)
-        kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
-    endif()
+    include(KDEGitCommitHooks)
+    include(KDEClangFormat)
+    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
 endif()
 include(CheckFunctionExists)
 
@@ -71,8 +47,8 @@
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION alpha)
-set(RELEASE_SERVICE_VERSION "26.03.40")
+set(KDEPIM_DEV_VERSION )
+set(RELEASE_SERVICE_VERSION "25.12.1")
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -82,8 +58,8 @@
 set(PIM_VERSION "${PIM_VERSION}")
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
-set(KMAILTRANSPORT_LIB_VERSION "6.6.40")
-set(AKONADI_VERSION "6.6.40")
+set(KMAILTRANSPORT_LIB_VERSION "6.6.1")
+set(AKONADI_VERSION "6.6.1")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
@@ -96,12 +72,12 @@
         Widgets
         Gui
 )
-set(MAILIMPORTER_VERSION "6.6.40")
-set(MAILCOMMON_LIB_VERSION "6.6.40")
-set(MESSAGELIB_LIB_VERSION "6.6.40")
-set(PIMCOMMON_LIB_VERSION "6.6.40")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.6.40")
-set(QT6KEYCHAIN_LIB_VERSION "0.15.0")
+set(MAILIMPORTER_VERSION "6.6.1")
+set(MAILCOMMON_LIB_VERSION "6.6.1")
+set(MESSAGELIB_LIB_VERSION "6.6.1")
+set(PIMCOMMON_LIB_VERSION "6.6.1")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.6.1")
+set(QT6KEYCHAIN_LIB_VERSION "0.14.2")
 
 # Find KF6 package
 find_package(KF6Config ${KF_MIN_VERSION} CONFIG REQUIRED)
@@ -151,12 +127,7 @@
 add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
 add_definitions(-DQT_USE_QSTRINGBUILDER)
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
-    # Not setting for GNU due to too many warnings related to private members of base classes or around lambdas
-    # see e.g. https://gcc.gnu.org/bugzilla/show_bug.cgi?id=56556 or https://gcc.gnu.org/bugzilla/show_bug.cgi?id=79328
-    string(APPEND CMAKE_CXX_FLAGS " -Wshadow")
-endif()
-ecm_set_disabled_deprecation_versions(QT 6.11.0 KF 6.21.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
 include(ECMCheckOutboundLicense)
 file(
     GLOB_RECURSE ALL_SOURCE_FILES

=== debian/changelog ===
akonadi-import-wizard (4:25.12.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 20 Jan 2026 21:36:53 +0100

akonadi-import-wizard (4:25.12.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 13 Jan 2026 12:50:23 +0100

akonadi-import-wizard (4:25.08.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 03 Dec 2025 17:58:14 +0100

=== debian/control ===
Source: akonadi-import-wizard
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               libakonadi-dev (>= 4:25.12.1~),
               libkf6archive-dev (>= 6.18.0~),
               libkf6auth-dev (>= 6.3.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6contacts-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6doctools-dev (>= 6.18.0~),
               libkf6iconthemes-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkidentitymanagement-dev (>= 25.12.1~),
               libkmailtransport-dev (>= 25.12.1~),
               libmailcommon-dev (>= 4:25.12.1~),
               libmailimporter-dev (>= 4:25.12.1~),
               libpimcommon-dev (>= 4:25.12.1~),
               messagelib-dev (>= 4:25.12.1~),
               pkgconf,
               qt6-base-dev (>= 6.8.0~),
               qtkeychain-qt6-dev (>= 0.14.2~),
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/pim/akonadi-import-wizard
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-import-wizard
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-import-wizard.git
Rules-Requires-Root: no

Package: akonadi-import-wizard
Section: mail
Architecture: amd64 arm64 armhf i386
Depends: libkpim6importwizard6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: PIM data import wizard
 akonadi-import-wizard is an assistant to import PIM data from other
 applications into Akonadi for use in KDE PIM applications

Package: libkpimimportwizard-dev
Section: libdevel
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libkmailtransport-dev (>= 25.12.1~),
         libkpim6importwizard6 (= ${binary:Version}),
         ${misc:Depends},
Description: PIM data import wizard - development files
 akonadi-import-wizard is an assistant to import PIM data from other
 applications into Akonadi for use in KDE PIM applications
 .
 This package contains the import wizard developmentt files.

Package: libkpim6importwizard6
Provides: ${ABI:VirtualPackage},
Section: libs
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: PIM data import wizard - library
 akonadi-import-wizard is an assistant to import PIM data from other
 applications into Akonadi for use in KDE PIM applications
 .
 This package contains the import wizard shared libraries.

## akonadi-import-wizard 25.12.1+p24.04+vstable+git20260118.0325

=== debian/changelog ===
akonadi-import-wizard (4:25.12.1+p24.04+vstable+git20260118.0325-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 18 Jan 2026 03:25:25 +0000

akonadi-import-wizard (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:30:40 +1000

## akonadi-import-wizard 25.12.1+p24.04+vstable+git20260130.1238

=== debian/changelog ===
akonadi-import-wizard (4:25.12.1+p24.04+vstable+git20260130.1238-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 12:38:14 +0000

## akonadi-import-wizard 25.12.2

=== debian/changelog ===
akonadi-import-wizard (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 08 Feb 2026 16:38:05 +0000

akonadi-import-wizard (4:25.12.1-0ubuntu3) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 21:24:26 +0000

akonadi-import-wizard (4:25.12.1-0ubuntu2) resolute; urgency=medium

  * Add amd64v3 to build architectures.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Jan 2026 11:36:50 +0000

akonadi-import-wizard (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 10:54:24 +0000

=== debian/control ===
Source: akonadi-import-wizard
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               libakonadi-dev (>= 4:25.12.2~),
               libkf6archive-dev (>= 6.6.0~),
               libkf6auth-dev (>= 6.3.0~),
               libkf6config-dev (>= 6.6.0~),
               libkf6contacts-dev (>= 6.6.0~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6dbusaddons-dev (>= 6.6.0~),
               libkf6doctools-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkidentitymanagement-dev (>= 25.12.2~),
               libkmailtransport-dev (>= 25.12.2~),
               libmailcommon-dev (>= 4:25.12.2~),
               libmailimporter-dev (>= 4:25.12.2~),
               libpimcommon-dev (>= 4:25.12.2~),
               messagelib-dev (>= 4:25.12.2~),
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qtkeychain-qt6-dev (>= 0.14.2~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/akonadi-import-wizard
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-import-wizard
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-import-wizard
Rules-Requires-Root: no

Package: akonadi-import-wizard
Section: mail
Architecture: amd64 amd64v3 arm64 armhf i386
Depends: libkpim6importwizard6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: PIM data import wizard
 akonadi-import-wizard is an assistant to import PIM data from other
 applications into Akonadi for use in KDE PIM applications

Package: libkpimimportwizard-dev
Section: libdevel
Architecture: amd64 amd64v3 arm64 armhf i386
Multi-Arch: same
Depends: libkmailtransport-dev (>= 25.12.2~),
         libkpim6importwizard6 (= ${binary:Version}),
         ${misc:Depends},
Description: PIM data import wizard - development files
 akonadi-import-wizard is an assistant to import PIM data from other
 applications into Akonadi for use in KDE PIM applications
 .
 This package contains the import wizard developmentt files.

Package: libkpim6importwizard6
Provides: ${ABI:VirtualPackage},
Section: libs
Architecture: amd64 amd64v3 arm64 armhf i386
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: PIM data import wizard - library
 akonadi-import-wizard is an assistant to import PIM data from other
 applications into Akonadi for use in KDE PIM applications
 .
 This package contains the import wizard shared libraries.

## akonadi-import-wizard 25.12.2+p24.04+vstable+git20260207.0346

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.1")
+set(PIM_VERSION "6.6.3")
 project(AkonadiImportWizard VERSION ${PIM_VERSION})
 
 set(KF_MIN_VERSION "6.18.0")
@@ -48,7 +48,7 @@
 
 # Do NOT add quote
 set(KDEPIM_DEV_VERSION )
-set(RELEASE_SERVICE_VERSION "25.12.1")
+set(RELEASE_SERVICE_VERSION "25.12.3")
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -58,8 +58,8 @@
 set(PIM_VERSION "${PIM_VERSION}")
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
-set(KMAILTRANSPORT_LIB_VERSION "6.6.1")
-set(AKONADI_VERSION "6.6.1")
+set(KMAILTRANSPORT_LIB_VERSION "6.6.2")
+set(AKONADI_VERSION "6.6.2")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
@@ -72,11 +72,11 @@
         Widgets
         Gui
 )
-set(MAILIMPORTER_VERSION "6.6.1")
-set(MAILCOMMON_LIB_VERSION "6.6.1")
-set(MESSAGELIB_LIB_VERSION "6.6.1")
-set(PIMCOMMON_LIB_VERSION "6.6.1")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.6.1")
+set(MAILIMPORTER_VERSION "6.6.2")
+set(MAILCOMMON_LIB_VERSION "6.6.2")
+set(MESSAGELIB_LIB_VERSION "6.6.2")
+set(PIMCOMMON_LIB_VERSION "6.6.2")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.6.2")
 set(QT6KEYCHAIN_LIB_VERSION "0.14.2")
 
 # Find KF6 package

=== debian/changelog ===
akonadi-import-wizard (4:25.12.2+p24.04+vstable+git20260207.0346-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 07 Feb 2026 03:46:28 +0000

akonadi-import-wizard (4:25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 04:46:09 +0000

## akonadi-import-wizard 25.12.2+p24.04+vstable+git20260214.1649

=== CMakeLists.txt ===
--- 
+++ 
@@ -58,8 +58,8 @@
 set(PIM_VERSION "${PIM_VERSION}")
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
-set(KMAILTRANSPORT_LIB_VERSION "6.6.2")
-set(AKONADI_VERSION "6.6.2")
+set(KMAILTRANSPORT_LIB_VERSION "6.6.3")
+set(AKONADI_VERSION "6.6.3")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
@@ -72,11 +72,11 @@
         Widgets
         Gui
 )
-set(MAILIMPORTER_VERSION "6.6.2")
-set(MAILCOMMON_LIB_VERSION "6.6.2")
-set(MESSAGELIB_LIB_VERSION "6.6.2")
-set(PIMCOMMON_LIB_VERSION "6.6.2")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.6.2")
+set(MAILIMPORTER_VERSION "6.6.3")
+set(MAILCOMMON_LIB_VERSION "6.6.3")
+set(MESSAGELIB_LIB_VERSION "6.6.3")
+set(PIMCOMMON_LIB_VERSION "6.6.3")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.6.3")
 set(QT6KEYCHAIN_LIB_VERSION "0.14.2")
 
 # Find KF6 package

=== debian/changelog ===
akonadi-import-wizard (4:25.12.2+p24.04+vstable+git20260214.1649-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 14 Feb 2026 16:49:04 +0000
